"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtractInterceptor = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const operators_1 = require("rxjs/operators");
let ExtractInterceptor = class ExtractInterceptor {
    intercept(context, next) {
        const contextType = context.getType();
        if (!["http", "https"].includes(contextType)) {
            return next.handle();
        }
        const request = context.getArgByIndex(0);
        return next
            .handle()
            .pipe((0, operators_1.map)(result => {
            const extractArgument = request.query.extract;
            if (extractArgument) {
                return result[extractArgument];
            }
            return result;
        }));
    }
};
ExtractInterceptor = tslib_1.__decorate([
    (0, common_1.Injectable)()
], ExtractInterceptor);
exports.ExtractInterceptor = ExtractInterceptor;
//# sourceMappingURL=extract.interceptor.js.map